VPS

Create new server

post/vps/create/{project_id}

Deploy a new VPS server with your chosen plan, operating system, and location. Your server will be ready in minutes.

Autorización

Authorization
Authorization*string

Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.

Parámetros de ruta

project_id*integer
Rango1 ≤ value

Cuerpo de la petición

application/jsonObligatorio
label*string
template_name?string | null

Operating system or app image. Required unless snapshot_id is given.

snapshot_id?string | null

UUID of a VPS snapshot of your organization to deploy instead of an image. Excludes template_name.

plan_name*string
location_name*string
name*string
ssh_key_ids?array<integer> | null

List of SSH key IDs to add to the VPS

network_id?integer | null
user?string | null

Will default to 'root' if empty.

password?string | null

If empty, no root password is set. Minimum 8 characters if provided.

availability_group_uuid?string | null

UUID of availability group (optional)

ipv4?boolean

IPv4 address (dual-stack). Additional $1.50/month. IPv6 is always included for free.

Por defectotrue
ipv6?boolean

Public IPv6 address (free). Disable to deploy without any public IP (requires a private network).

Por defectotrue
custom_cloudinit?string | null

Custom cloud-init configuration (YAML). Add your own packages, runcmd, write_files, etc. Only for Linux templates.

firewall_group_ids?array<integer> | null

Firewall group ID to assign to this VPS (max 1)

Rangoitems ≤ 1
enable_backups?boolean | null

Enable automatic backups for this VPS

Por defectofalse
environments?record<string, string> | null

Environment configuration values (e.g. API keys). Transient, not stored.

addons?array<AddonSelection> | null

Billing addons to add to the server (only in hourly billed projects). See available_addons of each plan in GET /vps/plans.

Rangoitems ≤ 20
Propiedades (2)
slug*string

Addon slug

Rango1 ≤ length ≤ 64
quantity?integer

Units (1 for flat addons)

Rango1 ≤ value ≤ 100000Por defecto1

Respuestas

Successful Response

application/json

detail*string
vps_id*integer
name*string
status*string
plan*string
location*string
ipv6_address?string | null
ipv4_address?string | null
addons?array<ServiceAddonCustomerOut>
Propiedades (17)
uuid*string
slug*string
name*string
description?string | null
category*string
unit_label?string | null
quantity*integer
monthly_unit_price*number
monthly_total*number
hourly_total?number | null
setup_fee*number
billing_mode*string
status*string
contracted_at?string | null
cancel_effective_at?string | null
reference?string | null
currency?string
Por defecto"USD"